Recent

Author Topic: Anyone able to get 3.0.4 fpc to compile lazarus 2.0.2 on rasberry PI?  (Read 1424 times)

Jacob21

  • New Member
  • *
  • Posts: 11
Re: Anyone able to get 3.0.4 fpc to compile lazarus 2.0.2 on rasberry PI?
« Reply #15 on: July 27, 2019, 04:59:28 pm »
Hi, I have the same problem
Has anyone a solution?

af0815

  • Sr. Member
  • ****
  • Posts: 348
Re: Anyone able to get 3.0.4 fpc to compile lazarus 2.0.2 on rasberry PI?
« Reply #16 on: July 27, 2019, 05:53:51 pm »
what kind of same problem ?

There see some different problems in this thread.

What kind of RasPi, how did you install?
regards
Andreas

Thaddy

  • Hero Member
  • *****
  • Posts: 8927
Re: Anyone able to get 3.0.4 fpc to compile lazarus 2.0.2 on rasberry PI?
« Reply #17 on: July 27, 2019, 05:56:15 pm »
I can compile it on any Raspberry Pi so what is the exact problem?
- Version of the Raspberry Pi?
- Version of Raspbian?
- Version of FPC and Lazarus you need?

If you give that information I can give guidance.

BTW: you are definitely not on Raspbian buster, because then 3.0.4 can be installed from Apt.
Or Raspbian stretch with back-ports.

More info needed. It is quite easy.

In short: you did not ever upgrade your system.< >:D 8-)>

If you really did not do that, you are a beginner and I would be glad to explain how to get the most recent FPC and Lazarus on a Raspberyy Pi.
« Last Edit: July 27, 2019, 06:26:15 pm by Thaddy »
Most people that want to use threading should learn to patch their jeans first: use a needle.